import { buttonVariants } from '@/components/ui/button'
import { cn } from '@/lib/utils'
import Link from 'next/link'

export default function Home() {
  return (
    <>
      <section className="space-y-6 pb-8 pt-6 md:pb-12 md:pt-10 lg:py-32">
        <div className="container flex max-w-[64rem] flex-col items-center gap-4 text-center">
          <h1 className="font-heading text-3xl sm:text-5xl md:text-6xl lg:text-7xl">
            Welcome to GameUnity!
          </h1>
          <p className="max-w-[42rem] leading-normal text-muted-foreground sm:text-xl sm:leading-8">
            This will be our Home Page and is still WIP
          </p>
          <div className="space-x-4">
            <Link href="/login" className={cn(buttonVariants({ size: "lg" }))}>
              Log In
            </Link>
            <Link href="/signup" className={cn(buttonVariants({ size: "lg" }))}>
              Sign Up
            </Link>
          </div>
          <div className="flex flex-col space-y-4">
            <Link href="/games" className={cn(buttonVariants({ size: "lg" }))}>
              Games List Progress
            </Link>
            <Link href="/home" className={cn(buttonVariants({ size: "lg" }))}>
              Home List Progress
            </Link>
          </div>
        </div>
      </section>
    </>
  )
}
